
QGIS Application - Bug report #2522

Random points tool throws an error if folder has cyrrilics

2010-03-07 10:07 AM - dr -

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12582

Description

Subj, you can try to replicate with folder name "Шейп"

Error message: 

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doRandPoints.py", line 123, in accept

    self.randomize(inLayer, outPath, minimum, design, value, self.progressBar)

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doRandPoints.py", line 209, in randomize

    else: bound = self.createSinglePolygon(inLayer, progressBar)

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doRandPoints.py", line 142, in createSinglePolygon

    allAttrs = provider.attributeIndexes()

[[AttributeError]]: 'NoneType' object has no attribute 'attributeIndexes'

Python version:

2.5.1 (r251:54863, Apr 18 2007, 08:51:08) [MSC v.1310 32 bit (Intel)]

History

#1 - 2010-03-07 10:16 AM - Giovanni Manghi

Hi,

under qgis trunk/ubuntu 9.10, if the output folder is called "Шейп" the tool works ok (beside the fact it assign the wrong projection. See a ticket posted

yesterday).

#2 - 2010-03-07 10:30 AM - Alexander Bruy

Confirmed on Windows and Linux with commit:23ed0fef (SVN r13016)

#3 - 2010-03-07 03:45 PM - cfarmer -

Could either lutra or alexbruy clarify the above statements? Has the bug been fixed as of commit:23ed0fef (SVN r13016)?
-Carson

#4 - 2010-03-08 03:03 AM - Giovanni Manghi

Replying to [comment:4 cfarmer]:

Could either lutra or alexbruy clarify the above statements? Has the bug been fixed as of commit:23ed0fef (SVN r13016)?

-Carson

it works for me (under linux) if the output folder has non ascii characters. But I didn't understand if this is the case stated in the ticket description, so it will

be better to wait for Alexander feedback.

#5 - 2010-03-08 10:30 AM - Alexander Bruy

- Resolution set to fixed

- Status changed from Open to Closed

Replying to [comment:4 cfarmer]:

Could either lutra or alexbruy clarify the above statements? Has the bug been fixed as of commit:23ed0fef (SVN r13016)?

-Carson

It works for me under Linux and Windows (commit:0e72bcbb (SVN r13024)). Thanks, Carson!
